(*************************************************************************)
(*                                                                       *)
(*                                OCaPIC                                 *)
(*                                                                       *)
(*            Benoit Vaugon, Université Pierre et Marie Curie            *)
(*                                                                       *)
(*    Ce fichier est distribué sous les termes de la licence CeCILL-B    *)
(*    décrite dans le fichier ../LICENCE.                                *)
(*                                                                       *)
(*************************************************************************)

type ('a, 'b) channel

external open_channel : int -> ('a, 'b) channel =
    "caml_serial_open_channel"

external send : ('a, 'b) channel -> 'a -> unit =
    "caml_serial_send"

external receive : ('a, 'b) channel -> 'b =
    "caml_serial_receive"
